Subject: Re: linux-next: new objtool warnings

From: Peter Zijlstra <[email-masked]>
Date: Mon, 3 Nov 2025 10:38:04 +0100

On Mon, Nov 03, 2025 at 08:32:56PM +1100, Stephen Rothwell wrote:
> Hi Peter,
> 
> On Mon, 3 Nov 2025 10:10:06 +0100 Peter Zijlstra <[email-masked]> wrote:
> >
> > On Fri, Oct 31, 2025 at 11:15:15AM +1100, Stephen Rothwell wrote:
> > > 
> > > My x86_64 allmodconfig builds started producing these warnings today:
> > > 
> > > vmlinux.o: warning: objtool: user_exc_vmm_communication+0x15a: call to __kasan_check_read() leaves .noinstr.text section
> > > vmlinux.o: warning: objtool: exc_debug_user+0x182: call to __kasan_check_read() leaves .noinstr.text section
> > > vmlinux.o: warning: objtool: exc_int3+0x123: call to __kasan_check_read() leaves .noinstr.text section
> > > vmlinux.o: warning: objtool: noist_exc_machine_check+0x17a: call to __kasan_check_read() leaves .noinstr.text section
> > > vmlinux.o: warning: objtool: fred_exc_machine_check+0x17e: call to __kasan_check_read() leaves .noinstr.text section
> > > 
> > > I can't easily tell what caused this change, sorry.  
> > 
> > What compiler? This smells like a broken compiler, these are all
> > noinstr and that very much has __no_sanitize_address.
> 
> And today I didn't get them.  So who knows?  I did *not* change compiler
> since Friday.

Oh well, lets chalk it up to gremlins for now. I'll have a look if it
happens again/reliably.